apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-12-11T08:17:45.683522716Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-12-11T08:17:45Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 1
  labels:
    guestConverted: "true"
    migration: 5ea26321-79e1-425a-b954-b0d2288c4df8
    plan: 6382302d-8c5d-4b55-a7f6-97094b637719
    resource: vm-config
    vmID: vm-33
  name: mtv-func-rhel9
  namespace: mtv-test
  resourceVersion: "13864031"
  uid: 10e1e2f6-8db6-4c68-865d-5c942299059a
spec:
  runStrategy: Halted
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: ""
        vm.kubevirt.io/os: ""
        vm.kubevirt.io/workload: ""
      creationTimestamp: null
      labels:
        app: mtv-func-rhel9
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 2
        devices:
          disks:
          - bootOrder: 1
            disk:
              bus: virtio
            name: vol-0
          - disk:
              bus: virtio
            name: vol-1
          - disk:
              bus: virtio
            name: vol-2
          inputs:
          - bus: virtio
            name: tablet
            type: tablet
          interfaces:
          - macAddress: 00:50:56:9c:0e:47
            masquerade: {}
            model: virtio
            name: net-0
          tpm:
            enabled: false
        features:
          acpi: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            efi:
              secureBoot: true
          serial: VMware-42 1c 2e 0b bd 31 5d ca-b4 8f d4 62 7e 6c fc 40
          uuid: 59965e1a-5ffd-4085-830e-80c85b4ac18e
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
      - name: net-0
        pod: {}
      volumes:
      - name: vol-0
        persistentVolumeClaim:
          claimName: plan-rhel9-vm-33-bldv2
      - name: vol-1
        persistentVolumeClaim:
          claimName: plan-rhel9-vm-33-cf9wp
      - name: vol-2
        persistentVolumeClaim:
          claimName: plan-rhel9-vm-33-jsv6b
status:
  conditions:
  - lastProbeTime: "2025-12-11T08:17:45Z"
    lastTransitionTime: "2025-12-11T08:17:45Z"
    message: VMI does not exist
    reason: VMINotExists
    status: "False"
    type: Ready
  printableStatus: Stopped
  volumeSnapshotStatuses:
  - enabled: true
    name: vol-0
  - enabled: true
    name: vol-1
  - enabled: true
    name: vol-2
